MWAWGraphicDecoder Class Reference documentation

Public Member Functions | Private Member Functions | Private Attributes | List of all members
MWAWGraphicDecoder Class Referencefinal

main class used to decode a librevenge::RVNGBinaryData created by More...

`#include <MWAWGraphicDecoder.hxx>`

Inheritance diagram for MWAWGraphicDecoder:

## Public Member Functions
| MWAWGraphicDecoder (librevenge::RVNGDrawingInterface *output)
| constructor More...
| ~MWAWGraphicDecoder () final
| destructor More...
void | insertElement (const char *psName) final
| insert an element More...
void | insertElement (const char *psName, const librevenge::RVNGPropertyList &xPropList) final
| insert an element ( with a librevenge::RVNGPropertyList ) More...
void | insertElement (const char *psName, const librevenge::RVNGPropertyList &xPropList, const librevenge::RVNGPropertyListVector &vector)
| insert an element ( with a librevenge::RVNGPropertyListVector parameter ) More...
void | characters (const librevenge::RVNGString &sCharacters) final
| insert a sequence of character More...
Public Member Functions inherited from MWAWPropertyHandler
| MWAWPropertyHandler ()
| constructor More...
virtual | ~MWAWPropertyHandler ()
| destructor More...
bool | checkData (librevenge::RVNGBinaryData const &encoded)
| checks a encoded librevenge::RVNGBinaryData created by MWAWPropertyHandlerEncoder More...
bool | readData (librevenge::RVNGBinaryData const &encoded)
| reads a encoded librevenge::RVNGBinaryData created by MWAWPropertyHandlerEncoder More...

## Private Member Functions
| MWAWGraphicDecoder (MWAWGraphicDecoder const &)=delete
| copy constructor (undefined) More...
MWAWGraphicDecoder | operator= (MWAWGraphicDecoder const &)=delete
| operator= (undefined) More...

## Private Attributes
librevenge::RVNGDrawingInterface * | m_output
| the interface output More...

## Detailed Description

main class used to decode a librevenge::RVNGBinaryData created by

See also
  MWAWGraphicEncoder (with mimeType="image/mwaw-odg") and to send it contents to librevenge::RVNGDrawingInterface

## Constructor & Destructor Documentation

## ◆ MWAWGraphicDecoder() [1/2]

MWAWGraphicDecoder::MWAWGraphicDecoder | ( | librevenge::RVNGDrawingInterface * | output | ) |
| inlineexplicit

constructor

## ◆ ~MWAWGraphicDecoder()

MWAWGraphicDecoder::~MWAWGraphicDecoder | ( |  | ) |
| inlinefinal

destructor

## ◆ MWAWGraphicDecoder() [2/2]

MWAWGraphicDecoder::MWAWGraphicDecoder | ( | MWAWGraphicDecoder const & |  | ) |
| privatedelete

copy constructor (undefined)

## Member Function Documentation

## ◆ characters()

void MWAWGraphicDecoder::characters | ( | const librevenge::RVNGString & | sCharacters | ) |
| inlinefinalvirtual

insert a sequence of character

Implements MWAWPropertyHandler.

## ◆ insertElement() [1/3]

void MWAWGraphicDecoder::insertElement | ( | const char * | psName | ) |
| finalvirtual

insert an element

Implements MWAWPropertyHandler.

## ◆ insertElement() [2/3]

void MWAWGraphicDecoder::insertElement | ( | const char * | psName,
|  | const librevenge::RVNGPropertyList & | xPropList
| ) |  |
| finalvirtual

insert an element ( with a librevenge::RVNGPropertyList )

Implements MWAWPropertyHandler.

## ◆ insertElement() [3/3]

void MWAWGraphicDecoder::insertElement | ( | const char * | psName,
|  | const librevenge::RVNGPropertyList & | xPropList,
|  | const librevenge::RVNGPropertyListVector & | vector
| ) |  |

insert an element ( with a librevenge::RVNGPropertyListVector parameter )

## ◆ operator=()

MWAWGraphicDecoder MWAWGraphicDecoder::operator= | ( | MWAWGraphicDecoder const & |  | ) |
| privatedelete

operator= (undefined)

## Member Data Documentation

## ◆ m_output

librevenge::RVNGDrawingInterface* MWAWGraphicDecoder::m_output
| private

the interface output

Referenced by characters(), and insertElement().

The documentation for this class was generated from the following files:

- MWAWGraphicDecoder.hxx
- MWAWGraphicDecoder.cxx